<?php

/**
 * Retourne une URL Joomla vers l'article
 *
 *
 *
 * syntaxe {up link=id_article}texte du lien{/up link}
 *
 * @author   LOMART
 * @version  1.0
 * @license   <a href="http://www.gnu.org/licenses/gpl-3.0.html" target="_blank">GNU/GPLv3</a>
 *
 */
defined('_JEXEC') or die;

class link extends upAction {

    function init() {
        // charger les ressources communes à toutes les instances de l'action
        JLoader::register('ContentHelperRoute', JPATH_SITE . '/components/com_content/helpers/route.php');
        return true;
    }

    function run() {

        // lien vers la page de demo
        $this->set_demopage();

        $options_def = array(
          __class__ => '' // ID de l'article
        );

        // fusion et controle des options
        $options = $this->ctrl_options($options_def);

        // code en retour
        $artid = $options[__class__];
        $database = JFactory::getDBO();
        $query = "SELECT catid FROM #__content WHERE id=" . $artid;
        $database->setQuery($query);
        $row = $database->loadObject();
        $catid = (($row != null) ? $row->catid : '');

        $route = ContentHelperRoute::getArticleRoute($artid, $catid);
        $url = JRoute::_($route);

        $out = '<a href="' . $url . '">';
        $out .= $this->content;
        $out .= "</a>";

        return $out;
    }

// run
}

// class
